# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Carp.pm) perl(Data/Validate.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigFloat.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Data-Validate-MySQL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: validate against MySQL data types
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SO/SONNEN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module collects common validation routines to check suspect values against
MySQL column types.  For example, you can check to make sure your integer values
are within range, your strings aren't too big, and that your dates and times
look vaguely ISO-ish.  Validating your values before trying to insert them
into MySQL is critical, particularly since MySQL is very tolerant of bad data
by default, so you may end up with useless values in your tables even if 
the database doesn't complain.

All functions return an untainted value if the test passes, and undef if
it fails.  This means that you should always check for a defined status explicitly.
Don't assume the return will be true. (e.g. is_integer('0'))

The value to test is always the first (and often only) argument.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

